/*
 * timer_base.c
 *
 *  Created on: 11 сент. 2023 г.
 *      Author: seklyuts
 */

#include "f28x_project.h"


uint16_t MainTimerTimeouts = 0;

void MainTimerBaseTimeoutInc(void)
{
    MainTimerTimeouts++;
}

void MainTimerBaseTimeoutClr(void)
{
    MainTimerTimeouts = 0;
}

bool MainTimerBaseTimeoutCheck(uint16_t timeOff)
{
    if(MainTimerTimeouts >= timeOff) return true;
    else return false;
}
